package kommunikation.logger;
/**
 *
 * @author nobody
 */

import java.io.File;
import java.io.IOException;
import java.util.logging.ConsoleHandler;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;

public class OhmLogger
{
  private static Logger lg = null;

  public static Logger getLogger()
  {
    if (lg == null)
    {
      lg = Logger.getLogger("OhmLogger");
      initLogger();
    }

    return lg;
  }

  private static void initLogger()
  {
    try
    {
      // Besser: Die Log-Datei über eine Properties-Dateieinstellbar machen
      // Hier wird in das temporäre Verzeichnis desBetriebssytems geloggt.

      String datei = System.getProperty("java.io.tmpdir") + File.separator + "log.txt";
      FileHandler fh = new FileHandler(datei);
      ConsoleHandler ch = new ConsoleHandler();
      lg.setUseParentHandlers(false);

      // Text-Ausgabe --> SimpleFormatter
      // Standard = Default: XMLFormatter --> xml-Format
      //fh.setFormatter(new SimpleFormatter());
      lg.addHandler(fh);

      // besser eigener Formatter:
      ch.setFormatter(new MyFormatter());

      lg.addHandler(ch);

      lg.setLevel(Level.ALL);
    }
    catch (IOException ioex)
    {
      System.err.println(ioex);
    }
  }
}
